import request from '@/utils/request'

// 查询配送工单列表
export function listDeliveryOrder(query) {
  return request({
    url: '/system/deliveryOrder/list',
    method: 'get',
    params: query
  })
}

// 查询配送工单详细
export function getDeliveryOrder(deliveryId) {
  return request({
    url: '/system/deliveryOrder/' + deliveryId,
    method: 'get'
  })
}

// 新增配送工单
export function addDeliveryOrder(data) {
  return request({
    url: '/system/deliveryOrder',
    method: 'post',
    data: data
  })
}

// 修改配送工单
export function updateDeliveryOrder(data) {
  return request({
    url: '/system/deliveryOrder',
    method: 'put',
    data: data
  })
}

// 删除配送工单
export function delDeliveryOrder(deliveryId) {
  return request({
    url: '/system/deliveryOrder/' + deliveryId,
    method: 'delete'
  })
}
